Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.common.ui
Class TreeViewerFactory

    java.lang.Object
      org.eclipse.emf.ecp.spi.common.ui.TreeViewerFactory

    public final class TreeViewerFactory

extends Object

Author:
  Eugen Neufeld

Method Summary
`static org.eclipse.jface.viewers.TreeViewer` | `createCheckedTreeViewer(org.eclipse.swt.widgets.Composite parent, org.eclipse.jface.viewers.ILabelProvider labelProvider, org.eclipse.jface.viewers.ITreeContentProvider contentProvider, Object input, org.eclipse.jface.viewers.ILabelDecorator labelDecorator, boolean sort)`
`static org.eclipse.jface.viewers.TreeViewer` | `createTreeViewer(org.eclipse.swt.widgets.Composite parent, org.eclipse.jface.viewers.ILabelProvider labelProvider, org.eclipse.jface.viewers.ITreeContentProvider contentProvider, Object input, org.eclipse.jface.viewers.ILabelDecorator labelDecorator, boolean sort)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createTreeViewer

    public static org.eclipse.jface.viewers.TreeViewer createTreeViewer(org.eclipse.swt.widgets.Composite parent,
                                                                        org.eclipse.jface.viewers.ILabelProvider labelProvider,
                                                                        org.eclipse.jface.viewers.ITreeContentProvider contentProvider,
                                                                        Object input,
                                                                        org.eclipse.jface.viewers.ILabelDecorator labelDecorator,
                                                                        boolean sort)

### createCheckedTreeViewer

    public static org.eclipse.jface.viewers.TreeViewer createCheckedTreeViewer(org.eclipse.swt.widgets.Composite parent,
                                                                               org.eclipse.jface.viewers.ILabelProvider labelProvider,
                                                                               org.eclipse.jface.viewers.ITreeContentProvider contentProvider,
                                                                               Object input,
                                                                               org.eclipse.jface.viewers.ILabelDecorator labelDecorator,
                                                                               boolean sort)

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.